"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-await-in-loop */
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const chalk_1 = __importDefault(require("chalk"));
const print_1 = __importDefault(require("../docgen/utils/print"));
const parse_material_1 = require("./utils/parse-material");
const OUTDIR_DEFALUTE = 'vitepress';
const INPUT_DEFALUTE = 'demo/index.ts';
const docgen = ({ input, outDir, }) => __awaiter(void 0, void 0, void 0, function* () {
    if (!input || !outDir) {
        input = INPUT_DEFALUTE;
    }
    if (!outDir) {
        outDir = OUTDIR_DEFALUTE;
    }
    const files = [];
    if (input) {
        const filename = path_1.default.resolve(process.cwd(), input);
        try {
            yield fs_extra_1.default.ensureFile(filename);
            files.push(filename);
        }
        catch (err) {
            return;
        }
    }
    const outDirPath = path_1.default.resolve(process.cwd(), outDir);
    print_1.default.info('开始生产markdown例子...');
    for (const filename of files) {
        yield (0, parse_material_1.genDemoFiles)(filename, outDirPath);
    }
    print_1.default.success(`${chalk_1.default.black.bgGreen.bold(`生成markdown成功!`)}`);
});
exports.default = docgen;
//# sourceMappingURL=index.js.map